QGIS Application - Feature request #3384
Measure tool ignore 'measure\\ellipsoid’ QGis settings
2011-01-03 01:13 AM - Sergey Yakushev

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: GUI

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13444
Description

Measure tool ignore 'measure\\ellipsoid’ QGis settings and use always WGS 84

this path fix it.

History

#1 - 2011-01-03 05:20 AM - Marco Hugentobler

Thanks for the patch, I'm going to review it in detail in the next few days. Afaik, current approach is to use the ellipsoid of the central maprenderers
[[QgsDistanceArea]] object (rather than calling QSettings in every tool).

#2 - 2011-01-04 06:33 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

The patch is applied in commit:862024a7 (SVN r14993). Thanks, Sergey!
| rearranged the code a bit and, following Martins advice, removed the remaining places where [[QgsMapRenderer]]::distanceArea() was used.

Files

measure.diff 3.62 KB 2011-01-03 Sergey Yakushev
